Plans

List available subscription plans with pricing, SKU limits, and feature details.

List plans

GET /v1/plans

Returns all available subscription plans.

Required scope: read_subscription

Request

curl https://app.simpleproductfeeds.com/v1/plans \
  -H "Authorization: Bearer spf_live_sk_your_key_here"

Response

{
  "data": [
    {
      "id": 1,
      "object": "plan",
      "name": "Free",
      "code_name": "free",
      "description": "Get started with up to 25 SKUs.",
      "price": "0.0",
      "skus_min": 0,
      "skus_max": 25,
      "daily_export_count": 1,
      "recommended": false,
      "is_free": true
    },
    {
      "id": 2,
      "object": "plan",
      "name": "Starter",
      "code_name": "starter",
      "description": "For growing stores with up to 1,000 SKUs.",
      "price": "9.99",
      "skus_min": 26,
      "skus_max": 1000,
      "daily_export_count": 4,
      "recommended": false,
      "is_free": false
    },
    {
      "id": 3,
      "object": "plan",
      "name": "Growth",
      "code_name": "growth",
      "description": "For established stores with up to 10,000 SKUs.",
      "price": "29.99",
      "skus_min": 1001,
      "skus_max": 10000,
      "daily_export_count": 8,
      "recommended": true,
      "is_free": false
    }
  ]
}

Response fields

FieldTypeDescription
id integer Plan ID.
object string Always "plan".
name string Display name (e.g., Free, Starter, Growth, Premium).
code_name string Machine-readable name. Use this when creating a subscription.
description string Human-readable plan description.
price string Monthly price in USD.
skus_min integer Minimum SKU count for this plan tier.
skus_max integer Maximum SKU count for this plan tier.
daily_export_count integer Number of automatic daily feed exports included.
recommended boolean Whether this plan is the recommended choice.
is_free boolean Whether this is the free tier.